---
displayed_sidebar: entitiesSidebar
---

# Class: PublishableApiKeySalesChannel

## Constructors

### constructor

• **new PublishableApiKeySalesChannel**()

## Properties

### publishable\_key\_id

• **publishable\_key\_id**: `string`

#### Defined in

[models/publishable-api-key-sales-channel.ts:12](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/publishable-api-key-sales-channel.ts#L12)

___

### sales\_channel\_id

• **sales\_channel\_id**: `string`

#### Defined in

[models/publishable-api-key-sales-channel.ts:9](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/publishable-api-key-sales-channel.ts#L9)
